import pandas as pd
from rpy2.robjects import r, pandas2ri

rscript = '''\
male <-  round(rnorm(10, 165.0, 8.0), 1)
female <- round(rnorm(10, 161.0, 9.0), 1)
rdtf <- data.frame(male, female)
rownames(rdtf) <- c("a", "b", "c", "d", "e", "f", "g", "h", "i", "j")
'''
r(rscript)
rdtf = r['rdtf']
pdtf = pandas2ri.ri2py(rdtf)
print(pdtf)
