# prc02s.py (encoding: cp932)
  # vR table() ɂWvʂpythonŕ\
  # g敪݂̂̏WvAg敪~ʂ̃NXWvs
  # NXWv\ Excelt@Cւ̏os
import pandas as pd
from rpy2.robjects import r
from textwrap import dedent
import xlwt
import pyrcmd as prc
prc.set_charset('cp932')

src_file = 'data.csv'
rscript = dedent(u'''\
    dtf <- read.csv("%s", header=T, na.string="", fileEncoding="%s")
    dtf$ <- factor(dtf$, levels=c("j", "", NA),
      labels=c("j", "", "LڂȂ"), exclude=NULL)
    clevels <- c("155", "155`165", "165`175", "175ȏ")
    cc <- cut(dtf$g, breaks=c(-Inf, 155, 165, 175, Inf),
        labels=clevels, right=FALSE)
    cc <- factor(cc, levels=c(clevels, NA),
      labels=c(clevels, "s"), exclude=NULL)
    dtf <- cbind(dtf, g敪=cc)
    tbl1 <- table(dtf$g敪)
    tbl2 <- table(dtf$g敪, dtf$)
    ''') % (src_file, prc.get_charset(src_file))
prc.rexec(rscript, sink=False)  # RR}h̎s
tbl1 = r['tbl1']  # rp2IuWFNgƂĎ擾
tbl2 = r['tbl2']
ptbl1 = prc.rp2pd(tbl1)  # pandasIuWFNgɕϊ
ptbl2 = prc.rp2pd(tbl2)

print(u'g敪̏Wv')
print(ptbl1)
print('')
print(u'g敪~ʂ̏Wv')
print(ptbl2)
    # ptbl2Excelɏo
writer = pd.ExcelWriter("prc02s.xls")
ptbl2.to_excel(writer, startrow=1, startcol=0)
worksheet = writer.sheets['Sheet1']
worksheet.write(0, 0,  #  row, column ̏
  u"g敪~ʂ̏Wv\")
writer.save()
