# pd03.py (coding: cp932)
  # QO[v̕ϒl̍Ɋւt̊֐Ƃ̗p
  # g̕ϒlɂāAjɗLӍ邩
import os, sys
import pandas as pd
import numpy as np
import scipy.stats as stats

from platform import python_version
if int(python_version()[0]) < 3:  # python ver 2 ̏ꍇ
    reload(sys)
    sys.setdefaultencoding('cp932')  # ftHgR[hύX

# \̂̒`(ťʂɋL^)
from collections import namedtuple
TtestRes = namedtuple("TtestRes", "t p_value alt mean df")

# t: alternative="two-sided", "less", "greater"
def t_test(a, b, equal_var=True, alternative="two-sided"):
    eqv = equal_var
    alt_arg = alternative
    aa = np.array(a)
    bb = np.array(b)
    aa_mean = np.mean(aa)  # a̕ϒl
    bb_mean = np.mean(bb)  # b̕ϒl
    aa_df = len(aa) - 1  # a̎Rx
    bb_df = len(bb) - 1  # b̎Rx
    t, p = stats.ttest_ind(aa, bb, equal_var=eqv)
    pval3 = p
    pval2 = p / 2.0
    pval1 = 1.0 - pval2
    if t < 0.0:
        w = pval2
        pval2 = pval1
        pval1 = w
    if alt_arg == 'less':
        alt = u"Η: قƂ̕ϒl̍ 0.0 菬."
        pval = pval1
    elif alt_arg == 'greater':
        alt = u"Η: قƂ̕ϒl̍ 0.0 傫."
        pval = pval2
    elif alt_arg == 'two-sided':
        alt = u"Η: قƂ̕ϒl̍ 0.0 ƓȂ."
        pval = pval3
    else:
        alt = "3 p_values(less, greater, two-sided)"
        pval = [pval1, pval2, pval3]
    tr = TtestRes(t, pval, alt, [aa_mean, bb_mean], aa_df+bb_df)
    return tr

xls_file = "pt_source.xls"
dtf = pd.read_excel(xls_file)
dgb = dtf.groupby(u'')  # jʂɕ

dct = {u'g': dict(), u'̏d': dict()}
for key in dct.keys():  # ugȀdvꂼ
    for g_name, g_dtf in dgb:  # ujAvɐ؂蕪
        ser = g_dtf[key]
        dct[key][g_name] = ser.dropna().reset_index(drop=True)

male = dct[u'g'][u'j']
female = dct[u'g'][u'']
tr = t_test(male, female, equal_var=True, alternative="two-sided")
for key in tr._fields:
    print("%s = " % key + str(tr._asdict()[key]))
